# bdm::migamma_ref Class Reference

Inverse-Gamma random walk around a fixed point. More...

## Detailed Description

Inverse-Gamma random walk around a fixed point.

Mean value, , of this density is given by a geometric combination of `rvc` and given fixed point, . is the coefficient of the geometric combimation

==== Check == vv = Standard deviation of the random walk is proportional to one -th the mean. This is achieved by setting and .

The standard deviation of the walk is then: .

`#include <exp_family.h>`

List of all members.

## Public Member Functions
| migamma_ref ()
| Constructor.
void | set_parameters (double k0, vec ref0, double l0)
| Set value of `k`.
void | condition (const vec &val)
| Update `iepdf` so that it represents this mpdf conditioned on `rvc` = cond This function provides convenient reimplementation in offsprings.
void | from_setting (const Setting &set)
void | set_parameters (int len, double k0)
| Set value of `k`.
eigamma & | e ()
| access function to iepdf
vec | samplecond (const vec &cond)
| Reimplements samplecond using `condition()`.
double | evallogcond (const vec &val, const vec &cond)
| Reimplements evallogcond using `condition()`.
virtual vec | evallogcond_m (const mat &Dt, const vec &cond)
| Efficient version of evallogcond for matrices.
virtual vec | evallogcond_m (const Array< vec > &Dt, const vec &cond)
| Efficient version of evallogcond for Array<vec>.
virtual mat | samplecond_m (const vec &cond, int N)
| Efficient version of samplecond.
virtual string | to_string ()
| This method returns a basic info about the current instance.
virtual void | to_setting (Setting &set) const
| This method save all the instance properties into the Setting structure.
virtual void | validate ()
| This method TODO.
Access to attributes
const RV & | _rv () const
const RV & | _rvc () const
int | dimension () const
int | dimensionc ()
Connection to other objects
void | set_rvc (const RV &rvc0)
void | set_rv (const RV &rv0)
bool | isnamed ()
## Protected Member Functions
void | set_ep (epdf &iepdf)
| set internal pointer `ep` to point to given `iepdf`
void | set_ep (epdf *iepdfp)
| set internal pointer `ep` to point to given `iepdf`
## Protected Attributes
double | l
| parameter l
vec | refl
| reference vector
double | k
| Constant .
vec & | _alpha
| cache of iepdf.alpha
vec & | _beta
| cache of iepdf.beta
eigamma | iepdf
| Internal epdf used for sampling.
int | dimc
| dimension of the condition
RV | rvc
| random variable in condition

## Member Function Documentation

void bdm::migamma_ref::from_setting | ( | const Setting & | set | ) | `[virtual]`

Create inverse-Gamma density with conditional mean value

from structure

                    class = 'migamma_ref';
                    ref = [1e-5; 1e-5; 1e-2 1e-3];            // reference vector
                    l = 0.999;                                // constant l
                    k = 0.1;                                  // constant k
                    rv = RV({'name'})                         // description of RV
                    rvc = RV({'name'})                        // description of RV in condition

Reimplemented from bdm::mpdf.

References bdm::UI::get(), and set_parameters().

The documentation for this class was generated from the following files:

- exp_family.h
- exp_family.cpp